searchNodes=[{"doc":"Utilities for working with Polyn naming conventions","ref":"Polyn.Naming.html","title":"Polyn.Naming","type":"module"},{"doc":"Convert a colon separated name into a dot separated name Examples iex&gt; Polyn.Naming . colon_to_dot ( &quot;com:acme:user:created:v1:schema:v1&quot; ) &quot;com.acme.user.created.v1.schema.v1&quot;","ref":"Polyn.Naming.html#colon_to_dot/1","title":"Polyn.Naming.colon_to_dot/1","type":"function"},{"doc":"Create a consumer name from a source and type. Uses the configured :source_root as the prefix. Will include an additional source if passed in Examples iex&gt; Polyn.Naming . consumer_name ( &quot;user.created.v1&quot; ) &quot;user_backend_user_created_v1&quot; iex&gt; Polyn.Naming . consumer_name ( &quot;user.created.v1&quot; , &quot;notifications&quot; ) &quot;user_backend_notifications_user_created_v1&quot;","ref":"Polyn.Naming.html#consumer_name/2","title":"Polyn.Naming.consumer_name/2","type":"function"},{"doc":"Convert a dot separated name into a colon separated name Examples iex&gt; Polyn.Naming . dot_to_colon ( &quot;com.acme.user.created.v1.schema.v1&quot; ) &quot;com:acme:user:created:v1:schema:v1&quot;","ref":"Polyn.Naming.html#dot_to_colon/1","title":"Polyn.Naming.dot_to_colon/1","type":"function"},{"doc":"Determine if a given subject matches a subscription pattern","ref":"Polyn.Naming.html#subject_matches?/2","title":"Polyn.Naming.subject_matches?/2","type":"function"},{"doc":"Remove the :domain prefix from a name Examples iex&gt; Polyn.Naming . trim_domain_prefix ( &quot;com:acme:user:created:v1:schema:v1&quot; ) &quot;user:created:v1:schema:v1&quot; iex&gt; Polyn.Naming . trim_domain_prefix ( &quot;com.acme.user.created.v1.schema.v1&quot; ) &quot;user.created.v1.schema.v1&quot;","ref":"Polyn.Naming.html#trim_domain_prefix/1","title":"Polyn.Naming.trim_domain_prefix/1","type":"function"},{"doc":"Remove the version suffix from a name Examples iex&gt; Polyn.Naming . trim_version_suffix ( &quot;com.acme.user.created.v1&quot; ) &quot;com.acme.user.created&quot; iex&gt; Polyn.Naming . trim_version_suffix ( &quot;com:acme:user:created:v1&quot; ) &quot;com:acme:user:created&quot;","ref":"Polyn.Naming.html#trim_version_suffix/1","title":"Polyn.Naming.trim_version_suffix/1","type":"function"},{"doc":"Validate the name of a message. Examples iex&gt; Polyn.Naming . validate_message_name ( &quot;user.created&quot; ) :ok iex&gt; Polyn.Naming . validate_message_name ( &quot;user created&quot; ) { :error , message }","ref":"Polyn.Naming.html#validate_message_name/1","title":"Polyn.Naming.validate_message_name/1","type":"function"},{"doc":"Validate the name of a message. Raises if invalid Examples iex&gt; Polyn.Naming . validate_message_name! ( &quot;user.created&quot; ) :ok iex&gt; Polyn.Naming . validate_message_name! ( &quot;user created&quot; ) Polyn.NamingException","ref":"Polyn.Naming.html#validate_message_name!/1","title":"Polyn.Naming.validate_message_name!/1","type":"function"},{"doc":"Validate the source of an event Examples iex&gt; Polyn.Naming . validate_source_name! ( &quot;user.created&quot; ) :ok iex&gt; Polyn.Naming . validate_source_name! ( &quot;user:created&quot; ) :ok iex&gt; Polyn.Naming . validate_source_name! ( &quot;user created&quot; ) Polyn.NamingException","ref":"Polyn.Naming.html#validate_source_name!/1","title":"Polyn.Naming.validate_source_name!/1","type":"function"},{"doc":"Give a version number to a name Examples iex&gt; Polyn.Naming . version_suffix ( &quot;com:acme:user:created:&quot; ) &quot;com:acme:user:created:v1&quot; iex&gt; Polyn.Naming . version_suffix ( &quot;com.acme.user.created.&quot; , 2 ) &quot;com.acme.user.created.v2&quot;","ref":"Polyn.Naming.html#version_suffix/2","title":"Polyn.Naming.version_suffix/2","type":"function"},{"doc":"Error raised when there are problems with naming","ref":"Polyn.NamingException.html","title":"Polyn.NamingException","type":"exception"},{"doc":"Utility functions for sharing naming functionality amongst Polyn Elixir libraries","ref":"readme.html","title":"Polyn Naming","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding polyn_naming to your list of dependencies in mix.exs : def deps do [ { :polyn_naming , &quot;~&gt; 0.1.0&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/polyn_naming .","ref":"readme.html#installation","title":"Polyn Naming - Installation","type":"extras"},{"doc":"Domain The Cloud Event Spec specifies that every event &quot;SHOULD be prefixed with a reverse-DNS name.&quot; This name should be consistent throughout your organization. You define that domain like this: config :polyn , :domain , &quot;app.spiff&quot; Event Source Root The Cloud Event Spec specifies that every event MUST have a source attribute and recommends it be an absolute URI . Your application must configure the source_root to use for events produced at the application level. Each event producer can include its own source to append to the source_root if it makes sense. config :polyn , :source_root , &quot;orders.payments&quot;","ref":"readme.html#configuration","title":"Polyn Naming - Configuration","type":"extras"}]